# TBasicRegisterer Class Reference
[Base Classes for plugins]

Inheritance diagram for TBasicRegisterer:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
virtual uint32 MCCOMAPI | AddRef ()
virtual uint32 MCCOMAPI | GetComponentCount ()
virtual MCCOMErr MCCOMAPI | GetComponentData (uint32 index, APICOMPData &compData, TMCResource *&privateData, APIGUIDData &guidData)
virtual MCCOMErr MCCOMAPI | UnregisterComponents ()

## Detailed Description

Basic implementation of a Registerer. Provides a default implementation of an IExRegisterer.

See also:
  IExRegisterer

## Member Function Documentation

virtual uint32 MCCOMAPI TBasicRegisterer::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TBasicUnknown.

virtual uint32 MCCOMAPI TBasicRegisterer::GetComponentCount | ( |  | ) | `[virtual]`

Returns the number of component that needs to be registered.

Implements IExRegisterer.

virtual MCCOMErr MCCOMAPI TBasicRegisterer::GetComponentData | ( | uint32 | index,
|  | APICOMPData & | compData,
|  | TMCResource *& | privateData,
|  | APIGUIDData & | guidData |
| ) |  |  | `[virtual]`

Returns the registration info of each component.

Parameters:

  | index | The index of the component between 0 and GetComponentCount().
  | compData | The 'COMP' resource.
  | privateData | A resource associated with that component class
  | guidData | The GUID resource.

Implements IExRegisterer.

virtual MCCOMErr MCCOMAPI TBasicRegisterer::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TBasicUnknown.

virtual MCCOMErr MCCOMAPI TBasicRegisterer::UnregisterComponents | ( |  | ) | `[virtual]`

Called once the component are not used anymore

Implements IExRegisterer.

The documentation for this class was generated from the following file:

- BasicCOMImplementations.h